%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TestGears
Version:        0.2
Release:        7%{?dist}
Summary:        Unit testing for Python

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/TestGears
Source0:        http://www.turbogears.org/download/eggs/TestGears-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

%description
TestGears provides automatic discovery of unittest.TestCases and the ability
to run tests that are written as simple functions. It generates a standard
unittest.TestSuite for use with any of the standard frontends, and provides
a distutils command to run tests with zero configuration.

%prep
%setup -q -n TestGears-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc docs LICENSE.txt TODO.txt
%{python_sitelib}/*

%changelog
* Tue Jan 29 2008 Luke Macken <lmacken@redhat.com> 0.2-7
- Fix broken URL (Bug #427645)

* Sat Sep 1 2007 Toshio Kuratomi <a.badger@gmail.com> 0.2-6
- python-setuptools change for rawhide.

* Sat Sep 1 2007 Toshio Kuratomi <a.badger@gmail.com> 0.2-5
- Remove the .pth file (setuptools will generate its own otherwise it's
  unneeded.)
- Fix directory ownership.

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> 0.2-4
- Rebuld for python 2.5

* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-3
- Fix module inclusion, and use consistent buildroots

* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-2
- Rebuild for FC6

* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Initial RPM release
